{% extends "base.html" %}

{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}
{% load mensagem_tags %}


{% block content %}

    <h3>{{ titulo }}</h3>
    {% if mensagens_antigas|length > 0 %}
        <table class="table table-bordered fit-to-page">
            <tbody>
            {% for mensagem in mensagens_antigas %}
                <tr class="{% if mensagem.remetente_id == user.id %}mensagem_enviada{% else %}mensagem_recebida{% endif %}">
                    <td>
                        <strong class="mensagem_meta">{{ mensagem.remetente }}:</strong><br/>
                        {{ mensagem.texto|linebreaksbr }}<br/>
                        <span class="mensagem_meta">{{ mensagem.data_envio|date:"G:i" }}    |    {{ mensagem.data_envio|naturalday }}
                            {% mensagem_status mensagem %}
                        </span></div>


                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% endif %}

    <div class="row">
        <div class="col-md-12 mt-5">
            {% crispy form %}
        </div>
    </div>
{% endblock %}